<!DOCTYPE html>
<html>
  <head>
    <title>TAREA 1 PARCIAL 2</title>
  </head>
  <link rel="stylesheet" href="style.css">
<body>
<h2>XML</h2>
<button class="botonazo" type="button" onclick="loadDoc()">Obtener Lista de Estudiantes</button>
<br><br>
<table id="demo"></table>
<script>
function loadDoc() {
  const xhttp = new XMLHttpRequest();
  xhttp.onload = function() {
    myFunction(this);
  }
  xhttp.open("GET", "estudiantes.xml");
  xhttp.send();
}
function myFunction(xml) {
  const xmlDoc = xml.responseXML;
  const x = xmlDoc.getElementsByTagName("estudiante");
  let table="<tr><th>Apellidos</th><th>Nombres</th><th>Semestre</th><th>Paralelo</th><th>Direccion</th><th>Telefono</th><th>Correo</th></tr>";
  for (let i = 0; i <x.length; i++) { 
    table += "<tr><td>" +
    x[i].getElementsByTagName("apellidos")[0].childNodes[0].nodeValue +
    "</td><td>" +
    x[i].getElementsByTagName("nombre")[0].childNodes[0].nodeValue +
    "</td><td>"+
    x[i].getElementsByTagName("semestre")[0].childNodes[0].nodeValue +
    "</td><td>"+
    x[i].getElementsByTagName("paralelo")[0].childNodes[0].nodeValue +
    "</td><td>"+        
        x[i].getElementsByTagName("direccion")[0].childNodes[0].nodeValue +
    "</td><td>"+
        x[i].getElementsByTagName("telefono")[0].childNodes[0].nodeValue +
    "</td><td>"+        
    x[i].getElementsByTagName("correo")[0].childNodes[0].nodeValue +
    "</td></tr>";
  }
  document.getElementById("demo").innerHTML = table;
}
</script>
</body>
</html>